### Method

# GObject SignalGroup connect_closure

since: 2.74

#### Declaration

    void
    g_signal_group_connect_closure (
      GSignalGroup* self,
      const gchar* detailed_signal,
      GClosure* closure,
      gboolean after
    )

#### Description

Connects `closure` to the signal `detailed_signal` on `GSignalGroup:target`.

You cannot connect a signal handler after `GSignalGroup:target` has been set.

Available since: 2.74

#### Parameters

`detailed_signal`

  Type: `const gchar*`

  A string of the form `signal-name` with optional `::signal-detail`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`closure`

  Type: `GClosure`

  The closure to connect.

  The data is owned by the caller of the method.

`after`

  Type: `gboolean`

  Whether the handler should be called before or after the default handler of the signal.